Botan 2.19.5 Crypto and TLS for C&

mgf1.h
Go to the documentation of this file.
1/*
2* MGF1
3* (C) 1999-2007,2014 Jack Lloyd
4*
5* Botan is released under the Simplified BSD License (see license.txt)
6*/
7
8#ifndef BOTAN_MGF1_H_
9#define BOTAN_MGF1_H_
10
11#include <botan/types.h>
12
13 namespace Botan {
14
15 class HashFunction;
16
17/**
18* MGF1 from PKCS #1 v2.0
19* @param hash hash function to use
20* @param in input buffer
21* @param in_len size of the input buffer in bytes
22* @param out output buffer
23* @param out_len size of the output buffer in bytes
24*/
25 void BOTAN_PUBLIC_API(2,0) mgf1_mask(HashFunction& hash,
26 const uint8_t in[], size_t in_len,
27 uint8_t out[], size_t out_len);
28
29}
30
31#endif
BOTAN_PUBLIC_API
#define BOTAN_PUBLIC_API(maj, min)
Definition: compiler.h:31
Botan
Definition: alg_id.cpp:13
Botan::mgf1_mask
void mgf1_mask(HashFunction &hash, const uint8_t in[], size_t in_len, uint8_t out[], size_t out_len)
Definition: mgf1.cpp:14
hash
MechanismType hash
Definition: p11_mechanism.cpp:64